Security Enhanced Linux Reference Policy

# Layer: apps

## Module: uml

Interfaces Templates

### Description:

User mode linux tools and services.

### Interfaces:

uml_manage_util_files( domain )

##### Summary

Create, read, write, and delete uml pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

uml_setattr_util_sockets( domain )

##### Summary

Set attributes of uml pid sock files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

uml_role( role_prefix , user_domain , user_exec_domain , role )

##### Summary

Role access for uml.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_domain | User domain for the role.
user_exec_domain | User exec domain for execute and transition access.
role | Role allowed access

Return